Skip to main content

Update Host

PATCH 

/v1/armada/host/:host_id

Update a host

Request

Path Parameters

    host_id uuidrequired

    The host ID

Query Parameters

    transaction_date date-time

Body

required

    internal_hostname Internal Hostname (string)

    Possible values: non-empty and <= 253 characters

    The internal hostname of the host. Should only be addressable internally.

    public_hostname Public Hostname (string)

    Possible values: non-empty and <= 253 characters

    The public hostname of the host. Should be addressable from the internet.

    internal_ipv4 ipv4

    The internal IPv4 address of the host. Should only be addressable internally.

    public_ipv4 ipv4

    The public IPv4 address of the host. Should be addressable from the internet.

    internal_ipv6 Internal Ipv6 (string)

    Possible values: non-empty and <= 128 characters

    The internal IPv6 address of the host. Should only be addressable internally.

    public_ipv6 Public Ipv6 (string)

    Possible values: non-empty and <= 128 characters

    The public IPv6 address of the host. Should be addressable from the internet.

    geographic_location

    object

    description Description (string)required

    Possible values: non-empty

    Where exactly is this in the physical world.

    geographic_location_id uuidrequired

    datacenter_provider

    object

    name Name (string)required

    Possible values: non-empty and <= 64 characters

    Name of the provider of this sort. Could be things like Amazon, AWS EC2, Internap.

    datacenter_provider_id uuidrequired

    datacenter_location

    object

    description Description (string)required

    Possible values: non-empty

    Which datacenter region this is in using the language of the provider. Could be things like us-east-1, us-west-2, etc.

    datacenter_location_id uuidrequired

    machine_class

    object

    A description of a type of performance characteristics either real or virtual. At DigitalOcean and Azure this is called VM Size. At AWS this is called Instance type. At Google this is called machine type or machine configuration.

    datacenter_provider

    object

    required

    The provider this machine class is associated with

    name Name (string)required

    Possible values: non-empty and <= 64 characters

    Name of the provider of this sort. Could be things like Amazon, AWS EC2, Internap.

    datacenter_provider_id uuidrequired
    name Name (string)required

    Possible values: non-empty and <= 64 characters

    The name of the machine class used by the provider

    type Type (string)required

    Possible values: non-empty and <= 64 characters

    The type of machine class used by the provider. General Purpose, CPU Optimized, etc.

    labels string[]

    Possible values: non-empty and <= 64 characters

    Labels that can be applied to the machine class for organizational purposes

    monthly_price Monthly Price (number)

    The monthly price of this machine class

    hourly_price Hourly Price (number)

    The hourly price of this machine class

    cpu_count Cpu Count (integer)

    The number of CPUs

    cpu_info Cpu Info (string)

    Possible values: non-empty

    A description of the CPU including type, family, model, and stepping

    cpu_type Cpu Type (string)

    Possible values: non-empty and <= 64 characters

    The short description of the CPU type. e.g. Intel Xeon E5-2673 v4 @ 2.30GHz

    cpu_sockets Cpu Sockets (integer)

    The number of populated CPU sockets

    cpu_cores Cpu Cores (integer)

    The number of CPU cores

    cpu_threads Cpu Threads (integer)

    The number of CPU threads. Will be more than cores if hyperthreading is enabled.

    memory_size_gigabytes Memory Size Gigabytes (integer)

    The amount of memory in gigabytes

    memory_type Memory Type (string)

    Possible values: non-empty and <= 32 characters

    The type of memory. e.g. DDR4

    memory_speed_rating Memory Speed Rating (integer)

    The speed rating of the memory in MHz

    memory_timings Memory Timings (string)

    Possible values: non-empty and <= 32 characters

    The memory timings. e.g. 15-15-15-36

    disk_type Disk Type (string)

    Possible values: non-empty and <= 64 characters

    The type of disk. e.g. SSD

    disk_size_gigabytes Disk Size Gigabytes (integer)

    The size of the disk in gigabytes

    disk_sequential_read Disk Sequential Read (string)

    Possible values: non-empty and <= 64 characters

    The sequential read speed of the disk

    disk_sequential_write Disk Sequential Write (string)

    Possible values: non-empty and <= 64 characters

    The sequential write speed of the disk

    disk_random_read Disk Random Read (string)

    Possible values: non-empty and <= 64 characters

    The random read speed of the disk

    disk_random_write Disk Random Write (string)

    Possible values: non-empty and <= 64 characters

    The random write speed of the disk

    disk_iops Disk Iops (integer)

    The number of IOPS the disk can handle

    disk_latency_ms Disk Latency Ms (integer)

    The latency of the disk in milliseconds

    network_gbps Network Gbps (integer)

    The network speed in gigabits per second

    gpu_type Gpu Type (string)

    Possible values: non-empty and <= 64 characters

    The type of GPU. e.g. NVIDIA Tesla V100

    gpu_count Gpu Count (integer)

    The number of GPUs

    gpu_memory_gigabytes Gpu Memory Gigabytes (integer)

    The amount of GPU memory in gigabytes. Should be the lowest available memory if there are multiple GPUs.

    machine_class_id uuidrequired

    machine_class_overrides

    object

    A description of a type of performance characteristics either real or virtual. At DigitalOcean and Azure this is called VM Size. At AWS this is called Instance type. At Google this is called machine type or machine configuration.

    datacenter_provider

    object

    required

    The provider this machine class is associated with

    name Name (string)required

    Possible values: non-empty and <= 64 characters

    Name of the provider of this sort. Could be things like Amazon, AWS EC2, Internap.

    datacenter_provider_id uuidrequired
    name Name (string)required

    Possible values: non-empty and <= 64 characters

    The name of the machine class used by the provider

    type Type (string)required

    Possible values: non-empty and <= 64 characters

    The type of machine class used by the provider. General Purpose, CPU Optimized, etc.

    labels string[]

    Possible values: non-empty and <= 64 characters

    Labels that can be applied to the machine class for organizational purposes

    monthly_price Monthly Price (number)

    The monthly price of this machine class

    hourly_price Hourly Price (number)

    The hourly price of this machine class

    cpu_count Cpu Count (integer)

    The number of CPUs

    cpu_info Cpu Info (string)

    Possible values: non-empty

    A description of the CPU including type, family, model, and stepping

    cpu_type Cpu Type (string)

    Possible values: non-empty and <= 64 characters

    The short description of the CPU type. e.g. Intel Xeon E5-2673 v4 @ 2.30GHz

    cpu_sockets Cpu Sockets (integer)

    The number of populated CPU sockets

    cpu_cores Cpu Cores (integer)

    The number of CPU cores

    cpu_threads Cpu Threads (integer)

    The number of CPU threads. Will be more than cores if hyperthreading is enabled.

    memory_size_gigabytes Memory Size Gigabytes (integer)

    The amount of memory in gigabytes

    memory_type Memory Type (string)

    Possible values: non-empty and <= 32 characters

    The type of memory. e.g. DDR4

    memory_speed_rating Memory Speed Rating (integer)

    The speed rating of the memory in MHz

    memory_timings Memory Timings (string)

    Possible values: non-empty and <= 32 characters

    The memory timings. e.g. 15-15-15-36

    disk_type Disk Type (string)

    Possible values: non-empty and <= 64 characters

    The type of disk. e.g. SSD

    disk_size_gigabytes Disk Size Gigabytes (integer)

    The size of the disk in gigabytes

    disk_sequential_read Disk Sequential Read (string)

    Possible values: non-empty and <= 64 characters

    The sequential read speed of the disk

    disk_sequential_write Disk Sequential Write (string)

    Possible values: non-empty and <= 64 characters

    The sequential write speed of the disk

    disk_random_read Disk Random Read (string)

    Possible values: non-empty and <= 64 characters

    The random read speed of the disk

    disk_random_write Disk Random Write (string)

    Possible values: non-empty and <= 64 characters

    The random write speed of the disk

    disk_iops Disk Iops (integer)

    The number of IOPS the disk can handle

    disk_latency_ms Disk Latency Ms (integer)

    The latency of the disk in milliseconds

    network_gbps Network Gbps (integer)

    The network speed in gigabits per second

    gpu_type Gpu Type (string)

    Possible values: non-empty and <= 64 characters

    The type of GPU. e.g. NVIDIA Tesla V100

    gpu_count Gpu Count (integer)

    The number of GPUs

    gpu_memory_gigabytes Gpu Memory Gigabytes (integer)

    The amount of GPU memory in gigabytes. Should be the lowest available memory if there are multiple GPUs.

    machine_class_id uuidrequired

    machine_image

    object

    name Name (string)required

    Possible values: non-empty and <= 256 characters

    The name within the context of the provider. This could be a registry path or an AWS image name.

    description Description (string)

    A long form description of the image that will only be used for documentation purposes

    machine_image_id uuidrequired
    monthly_price Monthly Price (number)

    The monthly price of this host. If set, this value will supersede any monthly_price value set by the machine_class or contract

    hourly_price Hourly Price (number)

    The hourly price of this host. If set, this value will supersede any hourly_price value set by the machine_class or contract

    notes Notes (string)

    Notes about the host. Used for extra information that doesn't fit in other fields.

    labels string[]

    Possible values: non-empty and <= 64 characters

    Labels that can be applied to the host for organizational purposes

    datacenter_contract

    object

    start_date date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    end_date date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    cancel_date date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    period_days Period Days (integer)

    The number of days in the contract period

    extend_period_days Extend Period Days (integer)

    The service extend period in days

    notice_days Notice Days (integer)

    The number of days notice required to cancel the contract

    purchase_order Purchase Order (string)

    Possible values: non-empty

    The purchase order number or description for the contract

    payment_term_days Payment Term Days (integer)

    The number of days after the invoice is sent that payment is due

    hosts uuid[]

    The IDs of the hosts this contract is associated with

    datacenter_contract_id uuidrequired
    prior_host_id uuid

    The ID of the host this host replaced

    virtual_machine Virtual Machine (boolean)

    Boolean to declare if the host is a virtual machine

    created_datetime date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    key_accepted_datetime date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    datacenter_provider_id uuid

    The id of datacenter provider of the host

    geographic_location_id uuid

    The id of the geographic location of the host

    datacenter_location_id uuid

    The id of the datacenter location of the host

    machine_class_id uuid

    The id of the machine class of the host

    machine_class_overrides_id uuid

    The id of the machine class overrides of the host

    machine_image_id uuid

    The id of the machine image of the host

    datacenter_contract_id uuid

    The id of the datacenter contract of the host

Responses

Successful Response

Schema

    internal_hostname Internal Hostname (string)

    Possible values: non-empty and <= 253 characters

    The internal hostname of the host. Should only be addressable internally.

    public_hostname Public Hostname (string)

    Possible values: non-empty and <= 253 characters

    The public hostname of the host. Should be addressable from the internet.

    internal_ipv4 ipv4

    The internal IPv4 address of the host. Should only be addressable internally.

    public_ipv4 ipv4

    The public IPv4 address of the host. Should be addressable from the internet.

    internal_ipv6 Internal Ipv6 (string)

    Possible values: non-empty and <= 128 characters

    The internal IPv6 address of the host. Should only be addressable internally.

    public_ipv6 Public Ipv6 (string)

    Possible values: non-empty and <= 128 characters

    The public IPv6 address of the host. Should be addressable from the internet.

    geographic_location

    object

    description Description (string)required

    Possible values: non-empty

    Where exactly is this in the physical world.

    geographic_location_id uuidrequired

    datacenter_provider

    object

    name Name (string)required

    Possible values: non-empty and <= 64 characters

    Name of the provider of this sort. Could be things like Amazon, AWS EC2, Internap.

    datacenter_provider_id uuidrequired

    datacenter_location

    object

    description Description (string)required

    Possible values: non-empty

    Which datacenter region this is in using the language of the provider. Could be things like us-east-1, us-west-2, etc.

    datacenter_location_id uuidrequired

    machine_class

    object

    A description of a type of performance characteristics either real or virtual. At DigitalOcean and Azure this is called VM Size. At AWS this is called Instance type. At Google this is called machine type or machine configuration.

    datacenter_provider

    object

    required

    The provider this machine class is associated with

    name Name (string)required

    Possible values: non-empty and <= 64 characters

    Name of the provider of this sort. Could be things like Amazon, AWS EC2, Internap.

    datacenter_provider_id uuidrequired
    name Name (string)required

    Possible values: non-empty and <= 64 characters

    The name of the machine class used by the provider

    type Type (string)required

    Possible values: non-empty and <= 64 characters

    The type of machine class used by the provider. General Purpose, CPU Optimized, etc.

    labels string[]

    Possible values: non-empty and <= 64 characters

    Labels that can be applied to the machine class for organizational purposes

    monthly_price Monthly Price (number)

    The monthly price of this machine class

    hourly_price Hourly Price (number)

    The hourly price of this machine class

    cpu_count Cpu Count (integer)

    The number of CPUs

    cpu_info Cpu Info (string)

    Possible values: non-empty

    A description of the CPU including type, family, model, and stepping

    cpu_type Cpu Type (string)

    Possible values: non-empty and <= 64 characters

    The short description of the CPU type. e.g. Intel Xeon E5-2673 v4 @ 2.30GHz

    cpu_sockets Cpu Sockets (integer)

    The number of populated CPU sockets

    cpu_cores Cpu Cores (integer)

    The number of CPU cores

    cpu_threads Cpu Threads (integer)

    The number of CPU threads. Will be more than cores if hyperthreading is enabled.

    memory_size_gigabytes Memory Size Gigabytes (integer)

    The amount of memory in gigabytes

    memory_type Memory Type (string)

    Possible values: non-empty and <= 32 characters

    The type of memory. e.g. DDR4

    memory_speed_rating Memory Speed Rating (integer)

    The speed rating of the memory in MHz

    memory_timings Memory Timings (string)

    Possible values: non-empty and <= 32 characters

    The memory timings. e.g. 15-15-15-36

    disk_type Disk Type (string)

    Possible values: non-empty and <= 64 characters

    The type of disk. e.g. SSD

    disk_size_gigabytes Disk Size Gigabytes (integer)

    The size of the disk in gigabytes

    disk_sequential_read Disk Sequential Read (string)

    Possible values: non-empty and <= 64 characters

    The sequential read speed of the disk

    disk_sequential_write Disk Sequential Write (string)

    Possible values: non-empty and <= 64 characters

    The sequential write speed of the disk

    disk_random_read Disk Random Read (string)

    Possible values: non-empty and <= 64 characters

    The random read speed of the disk

    disk_random_write Disk Random Write (string)

    Possible values: non-empty and <= 64 characters

    The random write speed of the disk

    disk_iops Disk Iops (integer)

    The number of IOPS the disk can handle

    disk_latency_ms Disk Latency Ms (integer)

    The latency of the disk in milliseconds

    network_gbps Network Gbps (integer)

    The network speed in gigabits per second

    gpu_type Gpu Type (string)

    Possible values: non-empty and <= 64 characters

    The type of GPU. e.g. NVIDIA Tesla V100

    gpu_count Gpu Count (integer)

    The number of GPUs

    gpu_memory_gigabytes Gpu Memory Gigabytes (integer)

    The amount of GPU memory in gigabytes. Should be the lowest available memory if there are multiple GPUs.

    machine_class_id uuidrequired

    machine_class_overrides

    object

    A description of a type of performance characteristics either real or virtual. At DigitalOcean and Azure this is called VM Size. At AWS this is called Instance type. At Google this is called machine type or machine configuration.

    datacenter_provider

    object

    required

    The provider this machine class is associated with

    name Name (string)required

    Possible values: non-empty and <= 64 characters

    Name of the provider of this sort. Could be things like Amazon, AWS EC2, Internap.

    datacenter_provider_id uuidrequired
    name Name (string)required

    Possible values: non-empty and <= 64 characters

    The name of the machine class used by the provider

    type Type (string)required

    Possible values: non-empty and <= 64 characters

    The type of machine class used by the provider. General Purpose, CPU Optimized, etc.

    labels string[]

    Possible values: non-empty and <= 64 characters

    Labels that can be applied to the machine class for organizational purposes

    monthly_price Monthly Price (number)

    The monthly price of this machine class

    hourly_price Hourly Price (number)

    The hourly price of this machine class

    cpu_count Cpu Count (integer)

    The number of CPUs

    cpu_info Cpu Info (string)

    Possible values: non-empty

    A description of the CPU including type, family, model, and stepping

    cpu_type Cpu Type (string)

    Possible values: non-empty and <= 64 characters

    The short description of the CPU type. e.g. Intel Xeon E5-2673 v4 @ 2.30GHz

    cpu_sockets Cpu Sockets (integer)

    The number of populated CPU sockets

    cpu_cores Cpu Cores (integer)

    The number of CPU cores

    cpu_threads Cpu Threads (integer)

    The number of CPU threads. Will be more than cores if hyperthreading is enabled.

    memory_size_gigabytes Memory Size Gigabytes (integer)

    The amount of memory in gigabytes

    memory_type Memory Type (string)

    Possible values: non-empty and <= 32 characters

    The type of memory. e.g. DDR4

    memory_speed_rating Memory Speed Rating (integer)

    The speed rating of the memory in MHz

    memory_timings Memory Timings (string)

    Possible values: non-empty and <= 32 characters

    The memory timings. e.g. 15-15-15-36

    disk_type Disk Type (string)

    Possible values: non-empty and <= 64 characters

    The type of disk. e.g. SSD

    disk_size_gigabytes Disk Size Gigabytes (integer)

    The size of the disk in gigabytes

    disk_sequential_read Disk Sequential Read (string)

    Possible values: non-empty and <= 64 characters

    The sequential read speed of the disk

    disk_sequential_write Disk Sequential Write (string)

    Possible values: non-empty and <= 64 characters

    The sequential write speed of the disk

    disk_random_read Disk Random Read (string)

    Possible values: non-empty and <= 64 characters

    The random read speed of the disk

    disk_random_write Disk Random Write (string)

    Possible values: non-empty and <= 64 characters

    The random write speed of the disk

    disk_iops Disk Iops (integer)

    The number of IOPS the disk can handle

    disk_latency_ms Disk Latency Ms (integer)

    The latency of the disk in milliseconds

    network_gbps Network Gbps (integer)

    The network speed in gigabits per second

    gpu_type Gpu Type (string)

    Possible values: non-empty and <= 64 characters

    The type of GPU. e.g. NVIDIA Tesla V100

    gpu_count Gpu Count (integer)

    The number of GPUs

    gpu_memory_gigabytes Gpu Memory Gigabytes (integer)

    The amount of GPU memory in gigabytes. Should be the lowest available memory if there are multiple GPUs.

    machine_class_id uuidrequired

    machine_image

    object

    name Name (string)required

    Possible values: non-empty and <= 256 characters

    The name within the context of the provider. This could be a registry path or an AWS image name.

    description Description (string)

    A long form description of the image that will only be used for documentation purposes

    machine_image_id uuidrequired
    monthly_price Monthly Price (number)

    The monthly price of this host. If set, this value will supersede any monthly_price value set by the machine_class or contract

    hourly_price Hourly Price (number)

    The hourly price of this host. If set, this value will supersede any hourly_price value set by the machine_class or contract

    notes Notes (string)

    Notes about the host. Used for extra information that doesn't fit in other fields.

    labels string[]

    Possible values: non-empty and <= 64 characters

    Labels that can be applied to the host for organizational purposes

    datacenter_contract

    object

    start_date date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    end_date date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    cancel_date date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    period_days Period Days (integer)

    The number of days in the contract period

    extend_period_days Extend Period Days (integer)

    The service extend period in days

    notice_days Notice Days (integer)

    The number of days notice required to cancel the contract

    purchase_order Purchase Order (string)

    Possible values: non-empty

    The purchase order number or description for the contract

    payment_term_days Payment Term Days (integer)

    The number of days after the invoice is sent that payment is due

    hosts uuid[]

    The IDs of the hosts this contract is associated with

    datacenter_contract_id uuidrequired
    prior_host_id uuid

    The ID of the host this host replaced

    virtual_machine Virtual Machine (boolean)

    Boolean to declare if the host is a virtual machine

    created_datetime date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    key_accepted_datetime date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    host_id uuidrequired

    simple_product_assignments

    object[]

    Assignments for this host

  • Array [

  • name Name (string)required

    Possible values: non-empty and <= 256 characters

    The name of the product that will be used directly by the deployment system. e.g., paladins, roco

    count Count (integer)required

    The number of instances of the product that will be used directly by the deployment system.

    host_id uuidrequired

    The ID of the host this assignment is associated with

    simple_product_assignment_id uuidrequired
  • ]

Loading...